## org.mortbay.http.ajp
Class AJP13InputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.mortbay.http.ajp.AJP13InputStream

public class AJP13InputStream
extends java.io.InputStream

Method Summary
`int` `available()`
`void` `close()`
`void` `destroy()`
`void` `mark(int readLimit)`
`boolean` `markSupported()`
`AJP13RequestPacket` `nextPacket()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`void` `reset()`
`void` `resetStream()`
`long` `skip(long n)`

Methods inherited from class java.io.InputStream
`read`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### resetStream

    public void resetStream()

### destroy

    public void destroy()

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    `available` in class `java.io.InputStream`
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.io.InputStream`
    `java.io.IOException`

### mark

    public void mark(int readLimit)

  Overrides:
    `mark` in class `java.io.InputStream`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `java.io.InputStream`

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    `reset` in class `java.io.InputStream`
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
    `java.io.IOException`

### nextPacket

    public AJP13RequestPacket nextPacket()
                                  throws java.io.IOException

  Returns:
    The next packet from the stream. The packet is recycled and is only valid until the next call to nextPacket or read().
  Throws:
    `java.io.IOException`

### skip

    public long skip(long n)
              throws java.io.IOException

  Overrides:
    `skip` in class `java.io.InputStream`
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.